@use '../../../global/styles/breakpoint';
@use '../../../global/styles/typography';
@use '../../../global/styles/border';
@use '../../../global/styles/link';

.digi-form-process-steps {
	background: var(--digi--color--background--primary);
	padding: var(--digi--gutter--largest-3) var(--digi--gutter--largest);
	overflow: hidden;
	display: flex;
	flex-direction: column;
	opacity: 0;
	transition: opacity 0.05s ease-in-out;

	&--fallback-is-set {
		opacity: 1;
	}
}

.digi-form-process-steps__toggle {
	display: none;

	.digi-form-process-steps--fallback-true & {
		display: flex;
		align-items: center;
		gap: var(--digi--gutter--larger);
		justify-content: space-between;
		padding-block-end: var(--digi--gutter--medium);
		border-block-end: border.$list;

		&:focus-visible {
			outline: var(--digi--focus-outline);
		}
	}
}

.digi-form-process-steps__toggle-heading {
	display: grid;
	grid-template-columns: auto 1fr;
	grid-auto-flow: columns;
	gap: var(--digi--gutter--smallest-4);
	align-items: center;
	text-align: start;

	&::before {
		content: attr(data-current-step);
		font-family: var(--digi--global--typography--font-family--default);
		font-size: var(--digi--global--typography--font-size--small);
		width: var(--digi--global--spacing--larger);
		height: var(--digi--global--spacing--larger);
		border-radius: 50%;
		display: flex;
		align-items: center;
		justify-content: center;
		background: var(--digi--color--background--inverted-1);
		border: 1px solid var(--digi--color--border--primary);
		color: var(--digi--color--text--inverted);
	}
}

.digi-form-process-steps__toggle-text {
	span {
		@include typography.preheader;
	}

	p {
		@include link.base;

		font-size: var(--digi--global--typography--font-size--small);

		&:hover {
			text-decoration: none;
		}
	}
}

.digi-form-process-steps__toggle-label {
	font-family: var(--digi--global--typography--font-family--default);
	font-size: var(--digi--typography--accordion--font-size--mobile);
	font-weight: var(--digi--typography--accordion--font-weight--desktop);
	display: inline-flex;
	align-items: center;
	gap: var(--digi--gutter--icon);
	font-size: var(--digi--global--typography--font-size--interaction-medium);
	color: var(--digi--color--text--secondary);

	digi-icon {
		--digi--icon--color: currentColor;
	}
}

.digi-form-process-steps__items {
	display: inline-flex;
	flex-direction: row;
	gap: var(--digi--gutter--largest);
	counter-reset: steps;
	margin: 0;
	padding: 0;
	list-style: none;

	.digi-form-process-steps--fallback-true & {
		display: flex;
		flex-direction: column;
		gap: 0;
	}
}

.digi-form-process-steps__content {
	.digi-form-process-steps--fallback-true.digi-form-process-steps--expanded-false & {
		overflow-y: hidden;
		height: 0;
		visibility: hidden;
	}

	.digi-form-process-steps--fallback-true.digi-form-process-steps--expanded-true & {
		display: flex;
		gap: var(--digi--gutter--medium);
		flex-direction: column;
	}
}

.digi-form-process-steps__toggle-inside {
	--digi--button--color--background--function--default: var(--digi--color--background--secondary);
	--digi--button--color--background--function--hover: var(--digi--color--background--tertiary);
}

::slotted(li) {
	margin: 0;
	padding: 0;
	list-style: none;
}
